# 设计变量
组件库的全局 Token，可以在此查看组件库内置的设计变量以及默认值

<code src="../components/token/token-page.tsx" inline="true"></code>

## 其他颜色

| 颜色                | 变量名                  | 变量值   | CSS变量                       | 描述         |
| -----------------------| ----------------------- | -------- | ----------------------------- | ------------|
|<div style="width: 40px;height: 20px;background-color: #4e5969;border-radius: 2px; margin:auto;"></div>| @text-color             | \#4e5969 | --aunt-text-color             | 默认文字颜色 |
|<div style="width: 40px;height: 20px;background-color: #f2f3f5;border-radius: 2px; margin:auto;"></div>| @active-color           | \#f2f3f5  | --aunt-active-color          | 活跃文字颜色 |
|<div style="width: 40px;height: 20px;background-color: #f7f8fa;border-radius: 2px; margin:auto;"></div>| @background-color       | \#f7f8fa | --aunt-background-color       | 默认背景颜色 |
|<div style="width: 40px;height: 20px;background-color: #fafafa;border-radius: 2px;margin:auto;"></div>| @background-color-light | \#fafafa | --aunt-background-color-light | 默认白色背景 |
|<div style="width: 40px;height: 20px;background-color: #3491FA;border-radius: 2px; margin:auto;"></div>| @text-link-color        | \#3491FA | --aunt-text-link-color        | 默认链接颜色 |


## 文字大小相关

| 变量名            | 变量值 | CSS变量                 | 描述 |
| ----------------- | ------ | ----------------------- | ---- |
| @font-size-xs     | 10px   | --aunt-font-size-xs     |      |
| @font-size-sm     | 12px   | --aunt-font-size-sm     |      |
| @font-size-md     | 14px   | --aunt-font-size-md     |      |
| @font-size-lg     | 16px   | --aunt-font-size-lg     |      |
| @font-size-xl     | 18px   | --aunt-font-size-xl     |      |
| @font-size-xxl    | 20px   | --aunt-font-size-xxl    |      |
| @font-size-xxxl   | 24px   | --aunt-font-size-xxxl   |      |
| @font-weight-bold | 500    | --aunt-font-weight-bold |      |
| @line-height-xs   | 14px   | --aunt-line-height-xs   |      |
| @line-height-sm   | 18px   | --aunt-line-height-sm   |      |
| @line-height-md   | 20px   | --aunt-line-height-md   |      |
| @line-height-lg   | 22px   | --aunt-line-height-lg   |      |
| @line-height-xl   | 24px   | --aunt-line-height-xl   |      |
| @line-height-xxl  | 28px   | --aunt-line-height-xxl  |      |
| @line-height-xxxl | 32px   | --aunt-line-height-xxxl |      |

## Padding 大小
| 变量名        | 变量值 | CSS变量             | 描述 |
| ------------- | ------ | ------------------- | ---- |
| @padding-base | 4px    | --aunt-padding-base |      |
| @padding-xs   | 8px    | --aunt-padding-xs   |      |
| @padding-s    | 10px   | --aunt-padding-s    |      |
| @padding-sm   | 12px   | --aunt-padding-sm   |      |
| @padding-m    | 14px   | --aunt-padding-m    |      |
| @padding-md   | 16px   | --aunt-padding-md   |      |
| @padding-lg   | 24px   | --aunt-padding-lg   |      |
| @padding-xl   | 32px   | --aunt-padding-xl   |      |